import * as moment from 'moment';
import { BaseEntity, Column, CreateDateColumn, UpdateDateColumn } from 'typeorm';

export class BaseModel extends BaseEntity {
  @Column({
    type: 'timestamp without time zone',
    default: () => moment().utcOffset(0).toDate(),
  })
  timestamp: Date;

  @CreateDateColumn({
    type: 'timestamp without time zone',
    default: () => moment().utcOffset(0).toDate(),
  })
  created_at: Date;

  @UpdateDateColumn({
    type: 'timestamp without time zone',
    default: () => moment().utcOffset(0).toDate(),
  })
  updated_at: Date;
}
